* {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
}

body {
  background: #eee;
  overflow: hidden;
}

#container {
  opacity: 0;
  position: absolute;
  visibility: hidden;
  display: flex;
  width: inherit;
  height: inherit;
  align-items: center;
  justify-content: center;
  transition: opacity .5s;
  width: 52.31vh;
  height: 100vh;
  overflow: hidden;
}

#baner {
  display: block;
  position: absolute;
  width: 100%;
  height: 100%;
  transition: opacity 1s ease-in;
  opacity: 0;
  overflow: hidden;
}

canvas {
  transition: opacity 1s ease-in;
  width: 52.31vh;
  height: 100vh;
  overflow: hidden;
}

.resize{
  width:100vw !important;
  height:191.17vw !important;
}

#card {
  width: 52.31vh;
  height: 100vh;
  user-select: none;
  display: flex;
  justify-content: center;
  transition: opacity 1s ease-in;
}
#card-2{
  position: absolute;
  width:100%;
  height: 100%;
  background-image: url('assets/background.jpg');
  background-size: cover;
  background-repeat: no-repeat;
  background-position: center;
  pointer-events: none;
}
#btn{
  width:100%;
  height: 100%;
  background-image: url('assets/cta_end.png');
  background-size: 40%;
  background-repeat: no-repeat;
  background-position: center;
  pointer-events: none;
}

@keyframes handAnimation {
  0% {
    transform: translate(-30%, -80%) rotate(0deg);
  }

  50% {
    transform: translate(-70%, -80%) rotate(10deg);
  }

  100% {
    transform: translate(-30%, -80%) rotate(0deg);
  }
}

#logotype{
  position: absolute;
  bottom:0;
  width: 92%;
  height: 15%;
  background-image: url('assets/logo.png');
  background-size: contain;
  background-repeat: no-repeat;
  background-position: center bottom;
  margin-bottom: 13px;
  pointer-events: none;
}
#disclaimer{
  position: absolute;
  bottom:0;
  width: 92%;
  height: 15%;
  background-image: url('assets/disclaimer.png');
  background-size: contain;
  background-repeat: no-repeat;
  background-position: center bottom;
  margin-bottom: 13px;
  pointer-events: none;
  opacity:0;
  transition: opacity .5s ease-in;
}

#txt-1{
  position: absolute;
  bottom:0;
  width:100%;
  height:100%;
  background-image: url('assets/txt-1.png');
  background-size: 80%;
  background-repeat: no-repeat;
  background-position: center;
  pointer-events: none;
}
#txt-2{
  position: absolute;
  /* bottom:0; */
  width:100%;
  height: 115%;
  background-image: url('assets/txt-2.png');
  background-size: 80%;
  background-repeat: no-repeat;
  background-position: center;
  pointer-events: none;
  opacity: 0;
  transition: opacity .5s ease-in;
}

#btnSpecs{
  position: absolute;
  width:100%;
  height:100%;
  background-color: white;
}

#hand {
  visibility: hidden;
  position: absolute;
  opacity: 0;
  background-image: url('assets/hand.png');
  background-size: cover;
  width: 20vw;
  height: 32vw;
  left: 50%;
  top: 36%;
  transform: translate(-50%, -80%);
  transition: opacity .5s ease-in;
  pointer-events: none;
  animation-name: handAnimation;
  animation-duration: 1.5s;
  animation-iteration-count: infinite;
  animation-timing-function: ease;
  
}

#mobile {
  display: none;
  position: absolute;
  width: 100%;
  height: 100%;
  background-image: url('assets/rotate.gif');
  background-size: 100px 100px;
  background-repeat: no-repeat;
  background-attachment: fixed;
  background-position: center;
  background-color: rgb(198, 196, 196);
}

@media screen and (orientation:landscape) {
  #baner {
    display: none;
  }

  #mobile {
    display: block;
  }
}

@media screen and (orientation:portrait) {
  #baner {
    display: flex;
    align-items: flex-start;
    justify-content: center;
  }

  #mobile {
    display: none;
  }
}